/*!
 * He v1.0.0
 * 版权所有 / Copyright 2026-2027 ©He.
 * 本作品仅限非商业用途使用，禁止商业行为。 / You may not use this work for commercial purposes.
*/
:root{
	--he-text-color: #333;
	--he-text-color-hover: #404040;
	--he-text-color-active: #2e2e2e;
	--he-background-color: #fff;
	--he-background-color-hover: #f5f5f5;
	--he-background-color-active: #b8b8b8;
	--he-border-color: #ddd;
	--he-border-color-hover: #d4d4d4;
	--he-border-color-active: #9f9f9f;
	--he-font-size: 14px;
	--he-line-height: 1.2em;
	--he-border-width: 1px;
	--he-border-style: solid;
	--he-border: var(--he-border-width) var(--he-border-style) var(--he-border-color);
	--he-pri-text-color: #0d6efd;
	--he-pri-text-color-hover: #0c65e9;
	--he-pri-text-color-active: #0a58ca;
	--he-pri-background-color: #e7f1ff;
	--he-pri-background-color-hover: #dee7f5;
	--he-pri-background-color-active: #a6aeb8;
	--he-pri-border-color: #b6d4fe;
	--he-pri-border-color-hover: #afccf4;
	--he-pri-border-color-active: #8399b7;
	--he-sec-text-color: #6c757d;
	--he-sec-text-color-hover: #636c73;
	--he-sec-text-color-active: #565e64;
	--he-sec-background-color: #f1f3f5;
	--he-sec-background-color-hover: #e7e9eb;
	--he-sec-background-color-active: #aeafb0;
	--he-sec-border-color: #ced4da;
	--he-sec-border-color-hover: #c6ccd1;
	--he-sec-border-color-active: #94999d;
	--he-suc-text-color: #198754;
	--he-suc-text-color-hover: #177c4d;
	--he-suc-text-color-active: #146c43;
	--he-suc-background-color: #e9f7ef;
	--he-suc-background-color-hover: #e0ede5;
	--he-suc-background-color-active: #a8b2ac;
	--he-suc-border-color: #badbcc;
	--he-suc-border-color-hover: #b3d2c4;
	--he-suc-border-color-active: #869e93;
	--he-inf-text-color: #0dcaf0;
	--he-inf-text-color-hover: #0cc2e6;
	--he-inf-text-color-active: #0991ad;
	--he-inf-background-color: #e7f8fb;
	--he-inf-background-color-hover: #deeef1;
	--he-inf-background-color-active: #a6b3b5;
	--he-inf-border-color: #b6effb;
	--he-inf-border-color-hover: #afe5f1;
	--he-inf-border-color-active: #83acb5;
	--he-war-text-color: #664d03;
	--he-war-text-color-hover: #806004;
	--he-war-text-color-active: #5c4503;
	--he-war-background-color: #fff3cd;
	--he-war-background-color-hover: #f5e9c5;
	--he-war-background-color-active: #b8af94;
	--he-war-border-color: #ffd966;
	--he-war-border-color-hover: #f5d062;
	--he-war-border-color-active: #b89c49;
	--he-dag-text-color: #dc3545;
	--he-dag-text-color-hover: #ff4256;
	--he-dag-text-color-active: #b02a37;
	--he-dag-background-color: #fdecea;
	--he-dag-background-color-hover: #f3e3e1;
	--he-dag-background-color-active: #b6aaa8;
	--he-dag-border-color: #f5c2c7;
	--he-dag-border-color-hover: #ebbabf;
	--he-dag-border-color-active: #b08c8f;
	--he-mut-text-color: #6c757d;
	--he-mut-text-color-hover: #636c73;
	--he-mut-text-color-active: #565e64;
	--he-mut-background-color: #f8f9fa;
	--he-mut-background-color-hover: #eeeff0;
	--he-mut-background-color-active: #b3b3b4;
	--he-mut-border-color: #dee2e6;
	--he-mut-border-color-hover: #d5d9dd;
	--he-mut-border-color-active: #a0a3a6;
	--he-padding-t: 3px;
	--he-padding-s: 6px;
	--he-padding-m: 12px;
	--he-padding-l: 18px;
	--he-padding-h: 24px;
	--he-margin-t: 3px;
	--he-margin-s: 6px;
	--he-margin-m: 12px;
	--he-margin-l: 18px;
	--he-margin-h: 24px;
	--he-container-padding: 15px;
}
body{
	font-size: var(--he-font-size);
	line-height: var(--he-line-height);
	font-family: -apple-system, BlinkMacSystemFont, "Microsoft YaHei", "Segoe UI", "PingFang SC", "Hiragino Sans GB", "Noto Sans CJK SC", "WenQuanYi Micro Hei", sans-serif;;
}
[he-status~="disabled"]{
	pointer-events: none;
	cursor: not-allowed;
	opacity: 0.55;
	filter: grayscale(0.4) saturate(0.7);
	box-shadow: none !important;
	transform: none !important;
}
[he-status~="active"]{transform: translateY(1px)}
[data-he-width~="10"]{width: 10%}
[data-he-width~="20"]{width: 20%}
[data-he-width~="30"]{width: 30%}
[data-he-width~="40"]{width: 40%}
[data-he-width~="50"]{width: 50%}
[data-he-width~="60"]{width: 60%}
[data-he-width~="70"]{width: 70%}
[data-he-width~="80"]{width: 80%}
[data-he-width~="90"]{width: 90%}
[data-he-width~="100"]{width: 100%}
@media (min-width: 576px) {
	[data-he~="container"]{max-width: 540px}
}
@media (min-width: 768px) {
	[data-he~="container"]{max-width: 720px}
}
@media (min-width: 992px) {
	[data-he~="container"]{max-width: 960px}
}
@media (min-width: 1200px) {
	[data-he~="container"]{max-width: 1140px}
}
@media (min-width: 1440px) {
	[data-he~="container"]{max-width: 1408px}
}
[data-he-align~="l"]{text-align: left}
[data-he-align~="c"]{text-align: center}
[data-he-align~="r"]{text-align: right}
[data-he-align~="j"]{text-align: justify}
[data-he-align~="t"]{vertical-align: top}
[data-he-align~="m"]{vertical-align: middle}
[data-he-align~="b"]{vertical-align: bottom}
[data-he-padding~="none"]{padding: 0 !important}
[data-he-padding~="tt"]{padding-top: 3px}
[data-he-padding~="st"]{padding-top: 6px}
[data-he-padding~="mt"]{padding-top: 12px}
[data-he-padding~="lt"]{padding-top: 18px}
[data-he-padding~="ht"]{padding-top: 24px}
[data-he-padding~="tr"]{padding-right: 3px}
[data-he-padding~="sr"]{padding-right: 6px}
[data-he-padding~="mr"]{padding-right: 12px}
[data-he-padding~="lr"]{padding-right: 18px}
[data-he-padding~="hr"]{padding-right: 24px}
[data-he-padding~="tb"]{padding-bottom: 3px}
[data-he-padding~="sb"]{padding-bottom: 6px}
[data-he-padding~="mb"]{padding-bottom: 12px}
[data-he-padding~="lb"]{padding-bottom: 18px}
[data-he-padding~="hb"]{padding-bottom: 24px}
[data-he-padding~="tl"]{padding-left: 3px}
[data-he-padding~="sl"]{padding-left: 6px}
[data-he-padding~="ml"]{padding-left: 12px}
[data-he-padding~="ll"]{padding-left: 18px}
[data-he-padding~="hl"]{padding-left: 24px}
[data-he-margin~="none"]{margin: 0 !important}
[data-he-margin~="tt"]{margin-top: 3px}
[data-he-margin~="st"]{margin-top: 6px}
[data-he-margin~="mt"]{margin-top: 12px}
[data-he-margin~="lt"]{margin-top: 18px}
[data-he-margin~="ht"]{margin-top: 24px}
[data-he-margin~="tr"]{margin-right: 3px}
[data-he-margin~="sr"]{margin-right: 6px}
[data-he-margin~="mr"]{margin-right: 12px}
[data-he-margin~="lr"]{margin-right: 18px}
[data-he-margin~="hr"]{margin-right: 24px}
[data-he-margin~="tb"]{margin-bottom: 3px}
[data-he-margin~="sb"]{margin-bottom: 6px}
[data-he-margin~="mb"]{margin-bottom: 12px}
[data-he-margin~="lb"]{margin-bottom: 18px}
[data-he-margin~="hb"]{margin-bottom: 24px}
[data-he-margin~="tl"]{margin-left: 3px}
[data-he-margin~="sl"]{margin-left: 6px}
[data-he-margin~="ml"]{margin-left: 12px}
[data-he-margin~="ll"]{margin-left: 18px}
[data-he-margin~="hl"]{margin-left: 24px}
[data-he-opacity~="0"]{opacity: 0.0}
[data-he-opacity~="10"]{opacity: 0.1}
[data-he-opacity~="20"]{opacity: 0.2}
[data-he-opacity~="30"]{opacity: 0.3}
[data-he-opacity~="40"]{opacity: 0.4}
[data-he-opacity~="50"]{opacity: 0.5}
[data-he-opacity~="60"]{opacity: 0.6}
[data-he-opacity~="70"]{opacity: 0.7}
[data-he-opacity~="80"]{opacity: 0.8}
[data-he-opacity~="90"]{opacity: 0.9}
[data-he-opacity~="100"]{opacity: 1.0}
[data-he~="spacer"]{
	display: block;
	width: 100%;
	flex: none;
	padding: 0;
	margin: 0;
	pointer-events: none;
}
[data-he~="spacer"][data-he-size~="t"]{height: var(--he-padding-t)}
[data-he~="spacer"][data-he-size~="s"]{height: var(--he-padding-s)}
[data-he~="spacer"][data-he-size~="m"]{height: var(--he-padding-m)}
[data-he~="spacer"][data-he-size~="l"]{height: var(--he-padding-l)}
[data-he~="spacer"][data-he-size~="h"]{height: var(--he-padding-h)}
[data-he~="container"]{
	width: 100%;
	margin-left: auto;
	margin-right: auto;
	padding-left: var(--he-container-padding);
	padding-right: var(--he-container-padding);
}
[data-he~="table"]{
	font-size: inherit;
	border-collapse: collapse;
}
[data-he~="table"]>:is(thead,tbody)>tr>:is(th,td){
	color: var(--he-text-color);
	background: var(--he-background-color);
	border: var(--he-border);
	transition: background-color 300ms ease;
}
[data-he~="table"]>:is(thead,tbody)>tr>:is(th,td)[data-he-table-hover~="true"]{
	color: var(--he-text-color-hover);
	background: var(--he-background-color-hover);
	border-color: var(--he-border-color-hover);
}
[data-he~="table"][data-he-style~="pri"]>:is(thead,tbody)>tr>:is(th,td){
	color: var(--he-pri-text-color);
	background: var(--he-pri-background-color);
	border-color: var(--he-pri-border-color);
}
[data-he~="table"][data-he-style~="pri"]>:is(thead,tbody)>tr>:is(th,td)[data-he-table-hover~="true"]{
	color: var(--he-pri-text-color-hover);
	background: var(--he-pri-background-color-hover);
	border-color: var(--he-pri-border-color-hover);
}
[data-he~="table"][data-he-style~="sec"]>:is(thead,tbody)>tr>:is(th,td){
	color: var(--he-sec-text-color);
	background: var(--he-sec-background-color);
	border-color: var(--he-sec-border-color);
}
[data-he~="table"][data-he-style~="sec"]>:is(thead,tbody)>tr>:is(th,td)[data-he-table-hover~="true"]{
	color: var(--he-sec-text-color-hover);
	background: var(--he-sec-background-color-hover);
	border-color: var(--he-sec-border-color-hover);
}
[data-he~="table"][data-he-style~="suc"]>:is(thead,tbody)>tr>:is(th,td){
	color: var(--he-suc-text-color);
	background: var(--he-suc-background-color);
	border-color: var(--he-suc-border-color);
}
[data-he~="table"][data-he-style~="suc"]>:is(thead,tbody)>tr>:is(th,td)[data-he-table-hover~="true"]{
	color: var(--he-suc-text-color-hover);
	background: var(--he-suc-background-color-hover);
	border-color: var(--he-suc-border-color-hover);
}
[data-he~="table"][data-he-style~="inf"]>:is(thead,tbody)>tr>:is(th,td){
	color: var(--he-inf-text-color);
	background: var(--he-inf-background-color);
	border-color: var(--he-inf-border-color);
}
[data-he~="table"][data-he-style~="inf"]>:is(thead,tbody)>tr>:is(th,td)[data-he-table-hover~="true"]{
	color: var(--he-inf-text-color-hover);
	background: var(--he-inf-background-color-hover);
	border-color: var(--he-inf-border-color-hover);
}
[data-he~="table"][data-he-style~="war"]>:is(thead,tbody)>tr>:is(th,td){
	color: var(--he-war-text-color);
	background: var(--he-war-background-color);
	border-color: var(--he-war-border-color);
}
[data-he~="table"][data-he-style~="war"]>:is(thead,tbody)>tr>:is(th,td)[data-he-table-hover~="true"]{
	color: var(--he-war-text-color-hover);
	background: var(--he-war-background-color-hover);
	border-color: var(--he-war-border-color-hover);
}
[data-he~="table"][data-he-style~="dag"]>:is(thead,tbody)>tr>:is(th,td){
	color: var(--he-dag-text-color);
	background: var(--he-dag-background-color);
	border-color: var(--he-dag-border-color);
}
[data-he~="table"][data-he-style~="dag"]>:is(thead,tbody)>tr>:is(th,td)[data-he-table-hover~="true"]{
	color: var(--he-dag-text-color-hover);
	background: var(--he-dag-background-color-hover);
	border-color: var(--he-dag-border-color-hover);
}
[data-he~="table"][data-he-style~="mut"]>:is(thead,tbody)>tr>:is(th,td){
	color: var(--he-mut-text-color);
	background: var(--he-mut-background-color);
	border-color: var(--he-mut-border-color);
}
[data-he~="table"][data-he-style~="mut"]>:is(thead,tbody)>tr>:is(th,td)[data-he-table-hover~="true"]{
	color: var(--he-mut-text-color-hover);
	background: var(--he-mut-background-color-hover);
	border-color: var(--he-mut-border-color-hover);
}
[data-he~="table"][data-he-size~="t"]>:is(thead,tbody)>tr>:is(th,td){padding: 3px}
[data-he~="table"][data-he-size~="s"]>:is(thead,tbody)>tr>:is(th,td){padding: 6px}
[data-he~="table"][data-he-size~="m"]>:is(thead,tbody)>tr>:is(th,td){padding: 12px}
[data-he~="table"][data-he-size~="l"]>:is(thead,tbody)>tr>:is(th,td){padding: 18px}
[data-he~="table"][data-he-size~="h"]>:is(thead,tbody)>tr>:is(th,td){padding: 24px}
[data-he~="table-body-row-cell-buttons"]{padding: 0 !important}
[data-he~="table-body-row-cell-buttons"]>[data-he~="button"]{
	height: 100%;
	display: inline-block;
	border-width: 0;
	border-radius: 0;
}
[data-he~="table-body-row-cell-buttons"]>[data-he~="button"]:not(:first-child){border-left-width: 1px}
[data-he~="button"]{
	color: var(--he-text-color);
	background: var(--he-background-color);
	border: var(--he-border);
	display: inline-block;
	border-radius: 0.3em;
	cursor: pointer;
	text-decoration: none;
	white-space: nowrap;
	padding: .5em 1em;
}
[data-he~="button"]>i{margin-right: .4em}
[data-he~="button"]:hover{
	color: var(--he-text-color-hover);
	background: var(--he-background-color-hover);
	border-color: var(--he-border-color-hover);
}
[data-he~="button"]:hover>.fa{animation: fa-beat 1s infinite ease-in-out}
[data-he~="button"]:active{
	color: var(--he-text-color-active);
	background: var(--he-background-color-active);
	border-color: var(--he-border-color-active);
}
[data-he~="button"][data-he-style~="pri"]{
	color: var(--he-pri-text-color);
	background: var(--he-pri-background-color);
	border-color: var(--he-pri-border-color);
}
[data-he~="button"][data-he-style~="pri"]:hover{
	color: var(--he-pri-text-color-active);
	background: var(--he-pri-background-color-active);
	border-color: var(--he-pri-border-color-active);
}
[data-he~="button"][data-he-style~="sec"]{
	color: var(--he-sec-text-color);
	background: var(--he-sec-background-color);
	border-color: var(--he-sec-border-color);
}
[data-he~="button"][data-he-style~="sec"]:hover{
	color: var(--he-sec-text-color-active);
	background: var(--he-sec-background-color-active);
	border-color: var(--he-sec-border-color-active);
}
[data-he~="button"][data-he-style~="suc"]{
	color: var(--he-suc-text-color);
	background: var(--he-suc-background-color);
	border-color: var(--he-suc-border-color);
}
[data-he~="button"][data-he-style~="suc"]:hover{
	color: var(--he-suc-text-color-active);
	background: var(--he-suc-background-color-active);
	border-color: var(--he-suc-border-color-active);
}
[data-he~="button"][data-he-style~="inf"]{
	color: var(--he-inf-text-color);
	background: var(--he-inf-background-color);
	border-color: var(--he-inf-border-color);
}
[data-he~="button"][data-he-style~="inf"]:hover{
	color: var(--he-inf-text-color-active);
	background: var(--he-inf-background-color-active);
	border-color: var(--he-inf-border-color-active);
}
[data-he~="button"][data-he-style~="war"]{
	color: var(--he-war-text-color);
	background: var(--he-war-background-color);
	border-color: var(--he-war-border-color);
}
[data-he~="button"][data-he-style~="war"]:hover{
	color: var(--he-war-text-color-active);
	background: var(--he-war-background-color-active);
	border-color: var(--he-war-border-color-active);
}
[data-he~="button"][data-he-style~="dag"]{
	color: var(--he-dag-text-color);
	background: var(--he-dag-background-color);
	border-color: var(--he-dag-border-color);
}
[data-he~="button"][data-he-style~="dag"]:hover{
	color: var(--he-dag-text-color-active);
	background: var(--he-dag-background-color-active);
	border-color: var(--he-dag-border-color-active);
}
[data-he~="button"][data-he-style~="mut"]{
	color: var(--he-mut-text-color);
	background: var(--he-mut-background-color);
	border-color: var(--he-mut-border-color);
}
[data-he~="button"][data-he-style~="mut"]:hover{
	color: var(--he-mut-text-color-active);
	background: var(--he-mut-background-color-active);
	border-color: var(--he-mut-border-color-active);
}
[data-he~="button"][data-he-size~="t"]{font-size: 8px}
[data-he~="button"][data-he-size~="s"]{font-size: 10px}
[data-he~="button"][data-he-size~="m"]{font-size: 14px}
[data-he~="button"][data-he-size~="l"]{font-size: 20px}
[data-he~="button"][data-he-size~="h"]{font-size: 25px}
[data-he~="button"][data-he~="icon-button"][data-he-size~="t"]{padding: 3px}
[data-he~="button"][data-he~="icon-button"][data-he-size~="s"]{padding: 4px}
[data-he~="button"][data-he~="icon-button"][data-he-size~="m"]{padding: 5px}
[data-he~="button"][data-he~="icon-button"][data-he-size~="l"]{padding: 8px}
[data-he~="button"][data-he~="icon-button"][data-he-size~="h"]{padding: 10px}
[data-he~="button"][data-he~="icon-button"]>i{margin-right: 0}
[data-he~="buttons"]{display: inline-flex}
[data-he~="buttons"]>[data-he~="button"]{
	border-left-width: 0;
	border-right-width: 0;
	border-top-width: 1px;
	border-bottom-width: 1px;
	border-radius: 0;
}
[data-he~="buttons"]>[data-he~="button"]:first-child{
	border-radius: .3em 0 0 .3em;
	border-left-width: 1px;
}
[data-he~="buttons"]>[data-he~="button"]:last-child{
	border-right-width: 1px;
	border-radius: 0 .3em .3em 0;
}
[data-he~="buttons"]>[data-he~="button"]:not(:first-child){border-left-width: 1px}
[data-he~="menus"]{
	position: relative;
	display: inline-flex;
	flex-direction: column;
	min-width: 200px;
	width: max-content;
	background: #fff;
}
[data-he~="menus-item"]{
	display: flex;
	align-items: center;
	gap: .3em;
	padding: 8px 14px;
	white-space: nowrap;
	cursor: pointer;
	text-decoration: none;
	color: inherit;
	transition: background 200ms ease;
}
[data-he~="menus-item"]:hover{background: #f5f7fa}
[data-he~="menus-sub"]{position: relative}
[data-he~="menus-sub-panel"]{
	color: var(--he-text-color);
	background: #fff;
	border: var(--he-border);
	position: absolute;
	top: 0;
	left: 100%;
	min-width: 200px;
	border-radius: 6px;
	box-shadow: 0 8px 24px rgba(0,0,0,.12);
	z-index: 1000;
	display: flex;
	flex-direction: column;
	opacity: 0;
	transform: translateX(8px) scale(.98);
	visibility: hidden;
	pointer-events: none;
	transition: opacity 300ms ease, transform 300ms ease;
}
[data-he~="menus-sub"]:hover>[data-he~="menus-sub-panel"]{
	opacity: 1;
	transform: translateX(0) scale(1);
	visibility: visible;
	pointer-events: auto;
}
[data-he~="menus-item"]:hover>.fa{animation: fa-beat 1s infinite ease-in-out}
[data-he~="menus-sub"]>[data-he~="menus-item"]::after{
	content: "\f054";
	font-family: "Font Awesome 7 Free", serif;
	font-weight: 900;
	margin-left: auto;
	opacity: .5;
}
[data-he~="menus-sub"]:hover>[data-he~="menus-item"]::before{transform: translateX(3px)}
[data-he~="dropdown"]{
	position: relative;
	display: inline-block;
	width: fit-content;
}
[data-he~="dropdown-trigger"]{
	display: inline-block;
	cursor: pointer;
	user-select: none;
}
[data-he~="dropdown-toggler"]{
	color: var(--he-text-color);
	background: var(--he-background-color);
	border: var(--he-border);
	position: absolute;
	top: 100%;
	left: 0;
	min-width: 10em;
	box-sizing: border-box;
	visibility: hidden;
	padding: var(--he-padding-m);
	z-index: 10000;
	transition: opacity 300ms ease, transform 300ms ease;
	opacity: 0;
	transform: translateY(-5px);
	pointer-events: none;
}
[data-he~="dropdown-toggler"][data-he-show~="true"]{
	visibility: visible;
	opacity: 1;
	transform: translateY(0);
	pointer-events: auto;
}
[data-he~="dropdown-toggler"][data-he-show~="false"]{
	opacity: 0;
	transform: translateY(-5px);
	pointer-events: none;
}
[data-he~="grid"]{
	display: grid;
	grid-template-columns: repeat(12, 1fr);
	box-sizing: border-box;
}
[data-he~="grid"][data-he-grid-row-gap~="t"]{row-gap: var(--he-margin-t)}
[data-he~="grid"][data-he-grid-row-gap~="s"]{row-gap: var(--he-margin-s)}
[data-he~="grid"][data-he-grid-row-gap~="m"]{row-gap: var(--he-margin-m)}
[data-he~="grid"][data-he-grid-row-gap~="l"]{row-gap: var(--he-margin-l)}
[data-he~="grid"][data-he-grid-row-gap~="h"]{row-gap: var(--he-margin-h)}
[data-he~="grid"][data-he-grid-cell-gap~="t"]{column-gap: var(--he-margin-t)}
[data-he~="grid"][data-he-grid-cell-gap~="s"]{column-gap: var(--he-margin-s)}
[data-he~="grid"][data-he-grid-cell-gap~="m"]{column-gap: var(--he-margin-m)}
[data-he~="grid"][data-he-grid-cell-gap~="l"]{column-gap: var(--he-margin-l)}
[data-he~="grid"][data-he-grid-cell-gap~="h"]{column-gap: var(--he-margin-h)}
[data-he~="grid-row"]{display: contents}
[data-he~="grid-row-cell"]>*{
	box-sizing: border-box;
	width: 100%;
	max-width: 100%;
}
[data-he~="grid-row-cell"][data-he-width~="1"]{grid-column: span 1}
[data-he~="grid-row-cell"][data-he-width~="2"]{grid-column: span 2}
[data-he~="grid-row-cell"][data-he-width~="3"]{grid-column: span 3}
[data-he~="grid-row-cell"][data-he-width~="4"]{grid-column: span 4}
[data-he~="grid-row-cell"][data-he-width~="5"]{grid-column: span 5}
[data-he~="grid-row-cell"][data-he-width~="6"]{grid-column: span 6}
[data-he~="grid-row-cell"][data-he-width~="7"]{grid-column: span 7}
[data-he~="grid-row-cell"][data-he-width~="8"]{grid-column: span 8}
[data-he~="grid-row-cell"][data-he-width~="9"]{grid-column: span 9}
[data-he~="grid-row-cell"][data-he-width~="10"]{grid-column: span 10}
[data-he~="grid-row-cell"][data-he-width~="11"]{grid-column: span 11}
[data-he~="grid-row-cell"][data-he-width~="12"]{grid-column: span 12}
[data-he~="grid-row-cell"][data-he-width~="auto"]{grid-column: auto}
[data-he~="section-title"]{
	color: var(--he-text-color);
	display: block;
	font-size: 14px;
	padding: .8em 0 .5em 0;
	text-decoration: none;
}
[data-he~="section-title"][data-he-size~="t"]{font-size: 10px}
[data-he~="section-title"][data-he-size~="s"]{font-size: 13px}
[data-he~="section-title"][data-he-size~="m"]{font-size: 18px}
[data-he~="section-title"][data-he-size~="l"]{font-size: 26px}
[data-he~="section-title"][data-he-size~="h"]{font-size: 32px}
[data-he~="section-title"]::before{
	content: "#";
	opacity: .1;
	margin-right: .3em;
}
[data-he~="section-title"]:hover::before{opacity: .5}
[data-he~="article-title"]{
	color: var(--he-text-color);
	font-size: 1.3em;
	padding: .8em 0 .5em 0;
}
[data-he~="svg-icon"]{
	color: var(--he-text-color);
	display: inline;
	width: 1em;
	height: 1em;
	vertical-align: middle;
}